// NEBULA calibration class
// 

#ifndef _TARTCALIBNEBULA_H_
#define _TARTCALIBNEBULA_H_

#include <TNamed.h>
#include <vector>

class TClonesArray;
typedef TClonesArray TArtNEBULAPlaArray;
class TArtNEBULAPla;
class TArtNEBULAPlaPara;
typedef std::vector<const TArtNEBULAPlaPara*> TArtNEBULAPlaParaArray;
class TArtNEBULAParameters;
class TArtStoreManager;

class TArtCalibNEBULA
{
public:
  TArtCalibNEBULA();
  virtual ~TArtCalibNEBULA();

  void BeginEvent();
  void ReconstructData();
  void EndEvent();

  bool IsReconstructed(){return fReconstructed;}

  Int_t GetNumNEBULAPla() const;
  TArtNEBULAPla* GetNEBULAPla(int i) const;
  TArtNEBULAPla* FindNEBULAPla(int id) const;//find by id
  TArtNEBULAPlaArray* GetNEBULAPlaArray() const;
  const TArtNEBULAPlaPara* GetNEBULAPlaPara(int i) const;

private:
  void ClearData();
  void LoadRawData();

private:
  bool fReconstructed;

  TArtNEBULAPlaArray* fNEBULAPlaArray;
  TArtNEBULAPlaParaArray* fNEBULAPlaParaArray;
  TArtNEBULAParameters* fNEBULAParameters;

  TArtStoreManager* fStoreManager;

  ClassDef(TArtCalibNEBULA,1);
};

#endif
