#ifndef _TARTNEBULAPLA_H_
#define _TARTNEBULAPLA_H_

#include "TObject.h"
#include "TString.h"

#include <iostream>

class TArtNEBULAPla : public TObject
{
public:
  TArtNEBULAPla() : TObject(), fDataState(0) {;}
  virtual ~TArtNEBULAPla(){;}

  virtual void SetDataState(int val){fDataState = val;}
  virtual void SetSerialNumber(int val){fSerialNumber = val;}
  virtual int GetDataState() const {return fDataState;}
  virtual int GetSerialNumber() const {return fSerialNumber;}

  virtual void SetID(int val){fID = val;}
  virtual void SetUDLR(const TString& val){fUDLR = val;}
  virtual void SetDetectorName(const TString& val){fName = val;}
  virtual void SetFpl(int val){fFpl = val;}
  virtual void SetLayer(int val){fLayer = val;}
  virtual void SetSubLayer(int val){fSubLayer = val;}
  virtual void SetRawADC(unsigned int val){fADC = val;}
  virtual void SetRawTDC(unsigned int val){fTDC = val;}
  virtual void SetEnergy(Double_t val){fEnergy = val;}
  virtual void SetTime(Double_t val){fTime = val;}

  virtual int GetID() const {return fID;}
  virtual const TString& GetUDLR() const {return fUDLR;}
  virtual const TString& GetDetectorName() const {return fName;}
  virtual int GetFpl() const {return fFpl;}
  virtual int GetLayer() const {return fLayer;}
  virtual int GetSubLayer() const {return fSubLayer;}
  virtual unsigned int GetRawADC() const {return fADC;}
  virtual unsigned int GetRawTDC() const {return fTDC;}
  virtual Double_t GetEnergy() const {return fEnergy;}
  virtual Double_t GetTime() const {return fTime;}

private:
  // fDataState<0:invalid, fDataState==0:initial, fDataState>0:valid
  int fDataState;
  int fSerialNumber;

  int fID;
  TString fUDLR;
  TString fName;
  int fFpl;
  int fLayer;  
  int fSubLayer;  

  unsigned int fADC;  
  unsigned int fTDC;  

  Double_t fEnergy;  
  Double_t fTime;  

  ClassDef(TArtNEBULAPla,1);

};
#endif

